#! /bin/bash
# fail immediately on error
set -e

bash -c "apt update && apt dist-upgrade && \
	apt install bash-completion locales man mc elinks git zsh curl neovim byobu htop \
	command-not-found apt-file apt-transport-https ca-certificates software-properties-common \
	python3-venv python3 libpython-dev libpython3-dev cmake clang build-essential && \
	apt-file update"

# node related
curl -RLSsf1 https://deb.nodesource.com/setup_10.x | bash -
apt-get install -y nodejs

# python3 related
curl -RLSsf1 https://bootstrap.pypa.io/get-pip.py | python2 && \
	curl -RLSsf1 https://bootstrap.pypa.io/get-pip.py | python3
